package com.ynet.life.sujrb.util;

import java.awt.AlphaComposite;
import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics2D;
import java.awt.RenderingHints;
import java.awt.image.BufferedImage;
import java.awt.image.ImageObserver;
import java.io.File;
import java.io.FileOutputStream;
import java.io.OutputStream;
import javax.imageio.ImageIO;

/* loaded from: com_ynet_life_sujrb_util.jar:com/ynet/life/sujrb/util/ImageWatermarkUtil.class */
public class ImageWatermarkUtil {
    public static final int FONT_SIZE = 28;
    private static final int XMOVE = 250;
    private static final int YMOVE = 160;
    private static float alpha = 0.1f;
    private static Font font = new Font("微软雅黑", 1, 28);
    private static Color color = Color.GRAY;

    private static int getTextLength(String text) {
        int length = text.length();
        for (int i = 0; i < text.length(); i++) {
            if (String.valueOf(text.charAt(i)).getBytes().length > 1) {
                length++;
            }
        }
        return length % 2 == 0 ? length / 2 : (length / 2) + 1;
    }

    public static void ImageByText(String logoText, String srcImgPath, String targerPath) {
        ImageByText(logoText, srcImgPath, targerPath, null);
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v0 */
    /* JADX WARN: Type inference failed for: r0v1, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v2 */
    /* JADX WARN: Type inference failed for: r0v3, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v34, types: [java.io.PrintStream] */
    /* JADX WARN: Type inference failed for: r0v35, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v36, types: [java.io.OutputStream] */
    /* JADX WARN: Type inference failed for: r0v4, types: [java.io.OutputStream] */
    /* JADX WARN: Type inference failed for: r0v5 */
    /* JADX WARN: Type inference failed for: r0v6, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v7, types: [java.io.OutputStream] */
    public static void ImageByText(String logoText, String srcImgPath, String targerPath, Integer degree) {
        ?? r0 = 0;
        OutputStream os = null;
        try {
            try {
                BufferedImage read = ImageIO.read(new File(srcImgPath));
                int width = read.getWidth((ImageObserver) null);
                int height = read.getHeight((ImageObserver) null);
                BufferedImage buffImg = new BufferedImage(read.getWidth((ImageObserver) null), read.getHeight((ImageObserver) null), 1);
                Graphics2D g = buffImg.createGraphics();
                g.setRenderingHint(RenderingHints.KEY_INTERPOLATION, RenderingHints.VALUE_INTERPOLATION_BILINEAR);
                g.drawImage(read.getScaledInstance(read.getWidth((ImageObserver) null), read.getHeight((ImageObserver) null), 4), 0, 0, (ImageObserver) null);
                if (degree != null) {
                    g.rotate(Math.toRadians(degree.intValue()), buffImg.getWidth() / 2.0d, buffImg.getHeight() / 2.0d);
                }
                g.setColor(color);
                g.setFont(font);
                g.setComposite(AlphaComposite.getInstance(10, alpha));
                int markWidth = 28 * getTextLength(logoText);
                for (int x = (-width) / 2; x < width * 1.5d; x += markWidth + XMOVE) {
                    for (int y = (-height) / 2; y < height * 1.5d; y += 188) {
                        g.drawString(logoText, x, y);
                    }
                }
                g.dispose();
                os = new FileOutputStream(targerPath);
                ImageIO.write(buffImg, "png", os);
                r0 = System.out;
                r0.println("添加水印文字成功!");
                try {
                    r0 = os;
                    r0.close();
                } catch (Exception e) {
                    r0.printStackTrace();
                }
            } catch (Throwable th) {
                ?? r02 = os;
                if (r02 != 0) {
                    try {
                        r02 = os;
                        r02.close();
                    } catch (Exception e2) {
                        r02.printStackTrace();
                    }
                }
                throw th;
            }
        } catch (Exception e3) {
            r0.printStackTrace();
            ?? r03 = os;
            if (r03 != 0) {
                try {
                    r03 = os;
                    r03.close();
                } catch (Exception e4) {
                    r03.printStackTrace();
                }
            }
        }
    }
}
